darcs-2.18.2: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Patch.Summary

Synopsis

- plainSummary :: (Summary e, PrimDetails (PrimOf e)) => e wX wY -> Doc
- plainSummaryFL :: forall (e :: Type -> Type -> Type) wX wY. (Summary e, PrimDetails (PrimOf e)) => FL e wX wY -> Doc
- plainSummaryPrim :: PrimDetails prim => prim wX wY -> Doc
- plainSummaryPrims :: forall (prim :: Type -> Type -> Type) wX wY. PrimDetails prim => Bool -> FL prim wX wY -> Doc
- xmlSummary :: (Summary p, PrimDetails (PrimOf p)) => p wX wY -> Doc
- class Summary (p :: Type -> Type -> Type) where
  - conflictedEffect :: p wX wY -> [IsConflictedPrim (PrimOf p)]
- data ConflictState
  - = Okay
  - | Conflicted
  - | Duplicated
- data IsConflictedPrim (prim :: Type -> Type -> Type) where
  - IsC :: forall (prim :: Type -> Type -> Type) wX wY. !ConflictState -> !(prim wX wY) -> IsConflictedPrim prim
- listConflictedFiles :: (Summary p, PatchInspect (PrimOf p)) => p wX wY -> [AnchoredPath]

# Documentation

plainSummary :: (Summary e, PrimDetails (PrimOf e)) => e wX wY -> Doc #

plainSummaryFL :: forall (e :: Type -> Type -> Type) wX wY. (Summary e, PrimDetails (PrimOf e)) => FL e wX wY -> Doc #

plainSummaryPrim :: PrimDetails prim => prim wX wY -> Doc #

plainSummaryPrims :: forall (prim :: Type -> Type -> Type) wX wY. PrimDetails prim => Bool -> FL prim wX wY -> Doc #

xmlSummary :: (Summary p, PrimDetails (PrimOf p)) => p wX wY -> Doc #

class Summary (p :: Type -> Type -> Type) where #

Methods

conflictedEffect :: p wX wY -> [IsConflictedPrim (PrimOf p)] #

#### Instances

Instances details

Summary p => Summary (Named p) # |
Instance details Defined in Darcs.Patch.Named Methods conflictedEffect :: Named p wX wY -> [IsConflictedPrim (PrimOf (Named p))] #
Commute prim => Summary (RebaseChange prim) # |
Instance details Defined in Darcs.Patch.Rebase.Change Methods conflictedEffect :: RebaseChange prim wX wY -> [IsConflictedPrim (PrimOf (RebaseChange prim))] #
PrimPatch prim => Summary (RepoPatchV1 prim) # |
Instance details Defined in Darcs.Patch.V1.Commute Methods conflictedEffect :: RepoPatchV1 prim wX wY -> [IsConflictedPrim (PrimOf (RepoPatchV1 prim))] #
Summary (RepoPatchV2 prim) # |
Instance details Defined in Darcs.Patch.V2.RepoPatch Methods conflictedEffect :: RepoPatchV2 prim wX wY -> [IsConflictedPrim (PrimOf (RepoPatchV2 prim))] #
Summary p => Summary (FL p) # |
Instance details Defined in Darcs.Patch.Summary Methods conflictedEffect :: FL p wX wY -> [IsConflictedPrim (PrimOf (FL p))] #
Summary (RepoPatchV3 name prim) # |
Instance details Defined in Darcs.Patch.V3.Core Methods conflictedEffect :: RepoPatchV3 name prim wX wY -> [IsConflictedPrim (PrimOf (RepoPatchV3 name prim))] #

data ConflictState #

Constructors

Okay |
Conflicted |
Duplicated |

#### Instances

Instances details

Read ConflictState # |
Instance details Defined in Darcs.Patch.Summary Methods readsPrec :: Int -> ReadS ConflictState # readList :: ReadS [ConflictState] # readPrec :: ReadPrec ConflictState # readListPrec :: ReadPrec [ConflictState] #
Show ConflictState # |
Instance details Defined in Darcs.Patch.Summary Methods showsPrec :: Int -> ConflictState -> ShowS # show :: ConflictState -> String # showList :: [ConflictState] -> ShowS #
Eq ConflictState # |
Instance details Defined in Darcs.Patch.Summary Methods (==) :: ConflictState -> ConflictState -> Bool # (/=) :: ConflictState -> ConflictState -> Bool #
Ord ConflictState # |

Instance details

Defined in Darcs.Patch.Summary

Methods

compare :: ConflictState -> ConflictState -> Ordering #

(<) :: ConflictState -> ConflictState -> Bool #

(<=) :: ConflictState -> ConflictState -> Bool #

(>) :: ConflictState -> ConflictState -> Bool #

(>=) :: ConflictState -> ConflictState -> Bool #

max :: ConflictState -> ConflictState -> ConflictState #

min :: ConflictState -> ConflictState -> ConflictState #

data IsConflictedPrim (prim :: Type -> Type -> Type) where #

This type tags a patch with a `ConflictState` and also hides the context witnesses (as in `Sealed2`), so we can put them in a list.

Constructors

IsC :: forall (prim :: Type -> Type -> Type) wX wY. !ConflictState -> !(prim wX wY) -> IsConflictedPrim prim |

#### Instances

Instances details

Show2 prim => Show (IsConflictedPrim prim) # |
Instance details Defined in Darcs.Patch.Summary Methods showsPrec :: Int -> IsConflictedPrim prim -> ShowS # show :: IsConflictedPrim prim -> String # showList :: [IsConflictedPrim prim] -> ShowS #

listConflictedFiles :: (Summary p, PatchInspect (PrimOf p)) => p wX wY -> [AnchoredPath] #